SenseCrypt Docs
API ReferenceAdmin Oidc Apps

Get Oidc App

GET/v1/admin/oidc-apps/{client_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

client_id*Client Id

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/admin/oidc-apps/string"
{  "client_id": "string",  "name": "string",  "allowed_redirect_uris": [    "string"  ],  "post_logout_redirect_uris": [    "string"  ],  "client_type": "confidential",  "billing_model": "workforce",  "require_pkce": true,  "allow_signup": true,  "signup_group_id": "ff47fb4a-8bed-4084-996e-a273d2ed9d1b",  "allowed_email_origins": [    "string"  ],  "terms_url": "string",  "privacy_url": "string",  "scopes": [    "string"  ],  "client_metadata": {},  "claim_map": {    "property1": "string",    "property2": "string"  },  "token_endpoint_auth_method": "client_secret_post",  "jwks": {},  "jwks_uri": "string",  "backchannel_token_delivery_mode": "poll",  "backchannel_client_notification_endpoint": "string",  "id_token_lifetime_seconds": 0,  "refresh_token_idle_lifetime_enabled": true,  "refresh_token_idle_lifetime_seconds": 0,  "refresh_token_max_lifetime_enabled": true,  "refresh_token_max_lifetime_seconds": 0,  "allow_refresh_token_rotation": true,  "refresh_token_rotation_overlap_seconds": 0,  "created_at": "2019-08-24T14:15:22Z",  "revoked_at": "2019-08-24T14:15:22Z",  "primary_color": "string",  "accent_color": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}